<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?
include "includes/pg_begin.php"; //carrega arquivo de conexão
?>

<?
// seleciona os indicadores do usuário
// ATENCAO: alterar o select para buscar os indicadores do usuário logado

// comando básico
$sql="
	select *
	from indicador I, tema T, granularidade G, periodicidade P, indicadorgranularidade IG, indicadorlogon IL, indicadorperiodicidade IP
	where I.codigotema = T.codigotema
	and I.codigoindicador = IG.codigoindicador
	and IG.codigogranularidade = G.codigogranularidade
	and I.codigoindicador = IL.codigoindicador
	and IL.codigogranularidade = IG.codigogranularidade
	and I.codigoindicador = IP.codigoindicador
	and IP.codigoperiodicidade = P.codigoperiodicidade
	and IL.usuario = 'a'";

// finalização do comando
$sql .= " order by T.nometema, I.nomeindicador, G.codigogranularidade, P.codigoperiodicidade";

// debug
// echo $sql;
// exit;

$result=pg_query($dbh, $sql);

if (!$result) {
   header('location:index.php?msn=4');
   exit;
}

$rows = pg_num_rows ($result);
if ($rows <= 0) { # não há indicadores associados ao logon
	echo 'não há indicadores associados ao usuário';
	return;
}
?>


<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td><form name="New_Form" action="mostraIndicador.php" method="POST" enctype="application/x-www-form-urlencoded">
      <table width="700" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
          <td bgcolor="#EFEFEF">
		  <br />
<?
// recupera as tuplas selecionadas
while ($nt=pg_fetch_array($result))
{
	//atribui valor a variaveis locais para db
	$db_codigoindicador     = trim(pg_escape_string($nt['codigoindicador']));
	$db_nomeindicador       = trim(pg_escape_string($nt['nomeindicador']));
	$db_nometema            = trim(pg_escape_string($nt['nometema']));
	$db_codigogranularidade = trim(pg_escape_string($nt['codigogranularidade']));
	$db_nomegranularidade   = trim(pg_escape_string($nt['nomegranularidade']));
	$db_codigoperiodicidade = trim(pg_escape_string($nt['codigoperiodicidade']));
	$db_nomeperiodicidade   = trim(pg_escape_string($nt['nomeperiodicidade']));
	
	$aux_codigocomposto = $db_codigoindicador . ';' . $db_codigogranularidade . ';' . $db_codigoperiodicidade;
	if ($db_codigogranularidade == 1) {
	$aux_preposicao = 'do'; // município
	} else {
	$aux_preposicao = 'por';
	}
	
	echo '<input type="radio" name="form_indicador" value ="' . $aux_codigocomposto . '"> ';
	echo $db_nometema . ' - ' . $db_nomeindicador;
	echo ', ' . $db_nomeperiodicidade;
	echo ', ' . $aux_preposicao . ' '. $db_nomegranularidade;
	echo ' (' . $db_codigoindicador . ')';
	echo '<br />' . "\n";
}
?>

		  </td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">
            <div align="center">
				<input name="submitBtn" type="submit" class="botao" tabindex="4" value="enviar">
                &nbsp;
				<input name="resetBtn" type="reset" class="botao" tabindex="5" value="limpar">
            </div></td>
        </tr>
        <tr>
          <td bgcolor="#EFEFEF">&nbsp;</td>
        </tr>
      </table>
    </form>
	</td>
  </tr>
</table>
</body>
</html>
<?
//carrega arquivo para finalizar conexão
include "includes/pg_end.php";
?>
